Java Problems

Java(TM) Plug-in Fatal Error: The Java Runtime Environment cannot be loaded

Toggle
well, that's all i get. along with a tiny red X in the upper left corner of the applet area.

problem appeared when i've updated JRE (so you can guess i have the most recent version installed).
actually, jvm.dll didn't exist on the specified path, so i copied <jvm.dll> found on the SDK folder (again, latest version). didn't help.

problem repeats on explorer , firefox &amp; maxthon.
tried all the solutions found on this board, still nothing helped.

running on winXP SP2.

anyone have an idea how can i fix that?
0 (0 Votes)

Re: Java(TM) Plug-in Fatal Error: The Java Runtime Environment cannot be lo
Answer
8/5/05 2:05 PM as a reply to StrayGator ..
Hi!

I hope this will help you, but I don't know enough about computers to make you any guarantees.

I typed in your error message in google and 2 forums came up from Sun Developer Network. They are:

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5013503

http://forum.java.sun.com/thread.jspa?forumID=54&amp;threadID=569186

They seem to describe the exact problem you're having, so you may want to give them a try. Good luck, and let us know how it turns out. It will help others who develop the same issue.

emoticon Chef
0 (0 Votes)

Re: Java(TM) Plug-in Fatal Error: The Java Runtime Environment cannot be lo
Answer
9/29/05 1:57 PM as a reply to StrayGator ..
I too, have an identical problem, also have noticed that other web pages with embedded java apps do not function. Uninstalling "J2SE Runtime Environment 5.0 Update 5", and reverting to "Java 2 Runtime Environment, SE v1.4.2_08" resolves the problem, but obviously, will not be a long-term solution, which I suppose must ultimately come from the creators of these applications.
0 (0 Votes)

Re: Java(TM) Plug-in Fatal Error: The Java Runtime Environment cannot be lo
Answer
9/29/05 5:20 PM as a reply to StrayGator ..
"R_Greatorex":
I too, have an identical problem, also have noticed that other web pages with embedded java apps do not function. Uninstalling "J2SE Runtime Environment 5.0 Update 5", and reverting to "Java 2 Runtime Environment, SE v1.4.2_08" resolves the problem, but obviously, will not be a long-term solution, which I suppose must ultimately come from the creators of these applications.


I work with JRE 5.0 Update 5 on all my machines (Linux and Windows), and have no problems whatsoever.

Perhaps the problem is caused by having two JRE's installed, and having JAVA_HOME point to one JRE, while trying to use the other JRE.
0 (0 Votes)

Re: Java(TM) Plug-in Fatal Error: The Java Runtime Environment cannot be lo
Answer
10/8/05 6:47 AM as a reply to StrayGator ..
I have this problem too :?
What can I do to fix this? Because i don't get it :oops: :oops:
I'm Using JRE version 1.5.0_04

Alyssa
0 (0 Votes)